Bug 170813

Summary: Add additional information when logging URL disposition in WebLoaderStrategy::scheduleLoad
Product: WebKit Reporter: Keith Rollin <krollin>
Component: WebKit2Assignee: Keith Rollin <krollin>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, commit-queue, koivisto, mcatanzaro
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Keith Rollin 2017-04-13 10:46:12 PDT
There are a few logging statements in WebLoaderStrategy::scheduleLoad that report, for example, "URL will be loaded as data". These statements also log the address of the frame doing the loading and the identifier of the resource. For consistency with other logging and to make scripted analysis of the logs more robust, also include the pageID and frameID in the logging.
Comment 1 Keith Rollin 2017-04-13 10:48:14 PDT
Created attachment 306996 [details]
Patch
Comment 2 Michael Catanzaro 2017-04-17 12:43:08 PDT
Comment on attachment 306996 [details]
Patch

PRIu64 is the best cross-platform way to print a uint64_t, so this looks right to me.

It technically needs an owner to approve it, though.
Comment 3 Keith Rollin 2017-04-18 14:45:48 PDT
Adding Antti and Alex, who both did previous reviews on this code.
Comment 4 WebKit Commit Bot 2017-04-18 15:28:14 PDT
Comment on attachment 306996 [details]
Patch

Clearing flags on attachment: 306996

Committed r215481: <http://trac.webkit.org/changeset/215481>
Comment 5 WebKit Commit Bot 2017-04-18 15:28:16 PDT
All reviewed patches have been landed.  Closing bug.